GET
/api/v1/rds/cluster/{Cluster_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Success response with database service details
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
status
string
status_title
string
status_actions
Array<string>
num_instances
integer
software
object
name
string
version
string
engine
string
master_node
object
node_name
string
instance_id
integer
cluster_id
integer
node_id
integer
vm_id
integer
port
string
public_ip_address
string
private_ip_address
string
allowed_ip_address
object
whitelisted_ips
Array<string>
temp_ips
Array<string>
whitelisted_ips_tags
Array<string>
temp_ips_tags
Array<string>
whitelisting_in_progress
boolean
zabbix_host_id
integer
database
object
id
integer
username
string
database
string
pg_detail
object
ram
string
cpu
string
disk
string
status
string
db_status
string
created_at
string
plan
object
name
string
price
string
template_id
integer
ram
string
cpu
string
disk
string
currency
string
software
object
name
string
version
string
engine
string
available_inventory_status
boolean
price_per_hour
number format: float
price_per_month
number format: float
ssl
boolean
domain
string
public_port
string
slave_nodes
Array<object>
object
whitelisted_ips
Array<string>
connectivity
string
connectivity_status
string
read_end_point
Array<object>
object
address
string
port
string
write_end_point
Array<object>
object
address
string
port
string
backup_enabled
boolean
vector_database_status
string
replication_factor
integer
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "id": 5276, "name": "E2E-DBaaS-26322-2920", "status": "RUNNING", "status_title": "Running", "status_actions": [ "delete", "stop", "restart", "manual-snapshot", "restore-snapshot" ], "num_instances": 1, "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "master_node": { "node_name": "E2E-DBaaS-26322-2920-Node-1", "instance_id": 10650, "cluster_id": 5276, "node_id": 214105, "vm_id": 228917, "port": "3306", "public_ip_address": "164.52.212.177", "private_ip_address": "10.7.214.7", "allowed_ip_address": { "whitelisted_ips": [], "temp_ips": [], "whitelisted_ips_tags": [], "temp_ips_tags": [], "whitelisting_in_progress": false }, "zabbix_host_id": 102563, "database": { "id": 5276, "username": "admin", "database": "DB-26322-2920", "pg_detail": {} }, "ram": "16 GB", "cpu": "4", "disk": "200 GB", "status": "Running", "db_status": "Running", "created_at": "06/Feb/2025 02:34 PM", "plan": { "name": "DBS.16GB", "price": "Rs. 9.0/Hour or Rs. 6570.0 Monthly", "template_id": 21, "ram": "16", "cpu": "4", "disk": "200", "currency": "INR", "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "available_inventory_status": true, "price_per_hour": 9, "price_per_month": 6570 }, "ssl": true, "domain": "e2e-81-177.ssdcloudindia.net", "public_port": null }, "slave_nodes": [ [] ], "whitelisted_ips": [], "connectivity": "Connecting using Different Read/Write Point", "connectivity_status": "updated", "read_end_point": [ { "address": "e2e-81-177.ssdcloudindia.net", "port": "3307" } ], "write_end_point": [ { "address": "e2e-81-177.ssdcloudindia.net", "port": "3306" } ], "backup_enabled": false, "vector_database_status": "Disabled", "replication_factor": 1 }, "message": "Success"}